# shouldCheckGeneric static method

bool shouldCheckGeneric(

1. Type type

)

Checks if the given type should be checked for generic parameters.

Parameters:

- `type`: The type to check

Returns:

- `true` if the type should be checked for generic parameters
- `false` otherwise

Example:

    final result = GenericTypeParser.shouldCheckGeneric(List);
    print(result); // true

## Implementation

    static bool shouldCheckGeneric(Type type) => isGenericMirror(type.toString());